Bug 351701 - [PATCH] IA64: elilo build err, missing a link to /usr/lib/libz
[PATCH] IA64: elilo build err, missing a link to /usr/lib/libz
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: elilo (Show other bugs)
rawhide
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2007-10-24 23:40 EDT by Zhan, Yi
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 10:25:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
elilo-3.6-libz.patch (411 bytes, patch)
2007-10-24 23:40 EDT, Zhan, Yi
no flags Details | Diff

  None (edit)
Description Zhan, Yi 2007-10-24 23:40:15 EDT
Description of problem:

When rebuilding from the elilo srpm under Fedora, we encounter errors as below
and failed to build the binary rpm:

cc -DEFIBOOTMGR_VERSION=\"0.5.3\" -Wall -g -D_FILE_OFFSET_BITS=64 -Isrc/lib
-Isrc/include    src/efibootmgr/efibootmgr.c src/lib/crc32.o src/lib/disk.o
src/lib/efi.o src/lib/efichar.o src/lib/gpt.o src/lib/scsi_ioctls.o
src/lib/unparse_path.o src/lib/efivars_procfs.o src/lib/efivars_sysfs.o
/usr/lib/libpci.a   -o src/efibootmgr/efibootmgr
/usr/lib/libpci.a(names.o): In function `pci_load_name_list':
(.text+0xd72): undefined reference to `gzopen'
/usr/lib/libpci.a(names.o): In function `pci_load_name_list':
(.text+0xe02): undefined reference to `gzgets'
/usr/lib/libpci.a(names.o): In function `pci_load_name_list':
(.text+0x13e2): undefined reference to `gzclose'
/usr/lib/libpci.a(names.o): In function `pci_load_name_list':
(.text+0x14e2): undefined reference to `gzeof'
/usr/lib/libpci.a(names.o): In function `pci_load_name_list':
(.text+0x1522): undefined reference to `gzclose'
/usr/lib/libpci.a(names.o): In function `pci_load_name_list':
(.text+0x16f2): undefined reference to `gzclose'
/usr/lib/libpci.a(names.o): In function `pci_load_name_list':
(.text+0x1ea2): undefined reference to `gzopen'
/usr/lib/libpci.a(names.o): In function `pci_load_name_list':
(.text+0x1f22): undefined reference to `gzerror'
/usr/lib/libpci.a(names.o): In function `pci_load_name_list':
(.text+0x1f62): undefined reference to `gzclose'
/usr/lib/libpci.a(names.o): In function `pci_load_name_list':
(.text+0x1f92): undefined reference to `gzclose'
/usr/lib/libpci.a(names.o): In function `pci_load_name_list':
(.text+0x1fd2): undefined reference to `gzclose'
/usr/lib/libpci.a(names.o): In function `pci_load_name_list':
(.text+0x2002): undefined reference to `gzclose'
collect2: ld returned 1 exit status
make: *** [src/efibootmgr/efibootmgr] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.21440 (%build)

It seems that a link to /usr/lib/libz is missing when compiling
efibootmgr-0.5.3/src/efibootmgr/efibootmgr. Adding a '-lz' to the variable
'LIBS' in efiefibootmgr-0.5.3/src/bootmgr/module.mk can fix it. 

Version-Release number of selected component (if applicable):
elilo-3.6-2

How reproducible:
Always

Steps to Reproduce:
1. run "rpmbuild --rebuild <path>/elilo-3.6-2.src.rpm" under Fedora 
2.
3.
  
Actual results:
Build error as described above

Expected results:
Build successful

Additional info:
Patch attached
Comment 1 Zhan, Yi 2007-10-24 23:40:15 EDT
Created attachment 236991 [details]
elilo-3.6-libz.patch
Comment 2 Chris Lumens 2007-10-25 10:25:37 EDT
This is fixed in the fedora-cvs tree for elilo.  We don't have all the secondary
arch stuff set up yet to make automatic builds of the secondary arches but you
can pull from CVS and get the latest stuff to rebuild your own packages.  The
spec file is set to build elilo-3.6-4.

Note You need to log in before you can comment on or make changes to this bug.